Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_Regular_POA Class Reference

Implementation of the PortableServer::POA interface. More...

`#include <Regular_POA.h>`

Inheritance diagram for TAO_Regular_POA:

[legend]
Collaboration diagram for TAO_Regular_POA:

[legend]
List of all members.

## Public Member Functions
| TAO_Regular_POA (const String &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, TAO_Root_POA *parent, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter)
virtual | ~TAO_Regular_POA (void)
PortableServer::POA_ptr | the_parent () throw (CORBA::SystemException)
## Protected Member Functions
virtual void | remove_from_parent_i ()
virtual CORBA::Boolean | root (void) const
virtual char | root_key_type (void)
## Protected Attributes
TAO_Root_POA * | parent_

## Detailed Description

Implementation of the PortableServer::POA interface.

Implementation of the PortableServer::POA interface.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Regular_POA::TAO_Regular_POA | ( | const String & | name,
|  | TAO_POA_Manager & | poa_manager,
|  | const TAO_POA_Policy_Set & | policies,
|  | TAO_Root_POA * | parent,
|  | ACE_Lock & | lock,
|  | TAO_SYNCH_MUTEX & | thread_lock,
|  | TAO_ORB_Core & | orb_core,
|  | TAO_Object_Adapter * | object_adapter
| ) |

TAO_Regular_POA::~TAO_Regular_POA | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void TAO_Regular_POA::remove_from_parent_i | ( |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Root_POA.

CORBA::Boolean TAO_Regular_POA::root | ( | void |  | ) | const`[protected, virtual]`

| Reimplemented from TAO_Root_POA.

char TAO_Regular_POA::root_key_type | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Root_POA.

PortableServer::POA_ptr TAO_Regular_POA::the_parent | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_Root_POA.

## Member Data Documentation

TAO_Root_POA* TAO_Regular_POA::parent_`[protected]`

| The parent of this POA, be aware that in case this pointer is nill, we are a parent. This can be achieved by deriving from this Regular_POA and pass a nill pointer as parent with the constructor.

The documentation for this class was generated from the following files:

- Regular_POA.h
- Regular_POA.cpp